Subject: Re: Reproducible crash in git merge

From: Jakub Narebski <[email-masked]>
Date: Tue, 29 Mar 2011 19:40:20 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> > David Gilman <[email-masked]> writes:
> >
> > > Unfortunately I can't share the repo itself because of its contents.
> >
> > Does anyone remember the script that can be used to anonymize contents
> > of repository that cannot be made public for debugging purposes?
> 
> That might help in certain narrow other cases, but I suspect that it is a
> way off tangent in this case, after looking at the stack trace.

I'm sorry, I didn't examine stack trace...
 
> The process is dying inside the platform implementation of memcpy of
> inflate from zlib; unless the bug is reproduceable independent of the
> contents, any modification done by contents anonymizer is very likely to
> make this particular issue go away, don't you think?

Well, assuming that issue is involved with sizes and not content, then
possibly as long as anonymizer preserves sizes of objects.  Which is not
very likely.

Anyway, from what I remember this heisenbug vanished mysteriously...
-- 
Jakub Narebski
Poland